import { DialogSOP } from '../../libappsop/dialogsop';
import { DropDownListSOP } from '../../libappsop/dropdownlistsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogSalesSegmentFields {
  Name?: string;
  Parent?: string;
}

/**
 * Sales Segment dialog.
 */
export class DialogSalesSegment extends DialogSOP<DialogSalesSegmentFields> {
  public static title = 'Sales Segment';
  private readonly _efName = new EditFieldSOP('edtName');
  private readonly _ddlParent = new DropDownListSOP('selParentSalesSegment');

  public constructor() {
    super('DialogCreateEditSalesSegment');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('Name', this._efName);
    this._uiMap.set('Parent', this._ddlParent);
  }
}
